## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-02-26
version: "2.1"

services:
  plex:
    image: ghcr.io/linuxserver/plex # Ancien dépôt : linuxserver/plex:latest
    container_name: plex
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
    network_mode: 'plex_network'
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#      - com.centurylinklabs.watchtower.enable=true
    environment:
      - PUID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - PGID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
      - VERSION=latest
      - UMASK=022
# Si plex est en mode HOST, la ligne suivante n'est pas nécessaire.
#      - PLEX_CLAIM=BLABLA #obtain claim token https://plex.tv/claim expire within 4 minutes.
    volumes:
      - /volume1/docker/plex/config:/config
      - /volume1/docker/plex/transcode:/transcode
      - /volume1/media/music:/data/music
      - /volume1/media/movies:/data/movies
      - /volume1/media/tvshow:/data/tvshow
# Decommenter les 2 lignes suivantes pour activer le transcodage matériel iGPU( si NAS/serveur compatible )
#    devices:
#       - /dev/dri:/dev/dri
    restart: unless-stopped
